//+------------------------------------------------------------------+
//|                                             Trend Analysis 2.mq4 |
//|                                 Copyright  2010, Tretyakov Ivan |
//|                                             Tretyak-Off@Inbox.Ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, Tretyakov Ivan"
#property link      "Tretyak-Off@Inbox.Ru"

#property indicator_separate_window
#property indicator_minimum 0
#property indicator_maximum 1
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red
//---- input parameters
extern color     IndicatorsTextColor=Orange;
extern color     SeparatorsTextColor=Silver;
extern color     SignalUpColor=Blue;
extern color     SignalDownColor=Red;
extern int SymbolCodeBuy=228; 
extern int SymbolCodeSell=230;
double UPBuffer[];
double DOWNBuffer[];
//---- global varibles 
string PeriodString[]={"M1","M5","M15","M30","H1","H4","D1","W1"};
string Indicators[]={"MA_20","MA_50","MA100","CCI14","MACD_","ADX14","BULLS","BEARS","STOCH","RSI14","FORCE","MOM14","DeM14"};

string ShortName="Trend Analysis";

int x,y,i,j;
string name;    
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
void Blok1()
{
for (i=0; i<=11; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=24; name="+";             break;
      case 1 : y=24+i*8+4*i; name="|";     break;
      case 2 : y=24+i*8+4*i; name="|";    break;
      case 3 : y=24+i*8+4*i; name="|";    break;
      case 4 : y=24+i*8+4*i; name="|";    break;
      case 5 : y=24+i*8+4*i; name="|";    break;
      case 6 : y=24+i*8+4*i; name="|";    break;
      case 7 : y=24+i*8+4*i; name="|";    break;
      case 8 : y=24+i*8+4*i; name="|";    break;
      case 9 : y=24+i*8+4*i; name="+";    break;
      case 10 :y=24+i*8+4*i; name="|";    break;
      case 11 :y=24+i*8+4*i; name="+";    break;  
   }
ObjectCreate("Sep"+0+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+0+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+0+i, OBJPROP_XDISTANCE, 0);  
ObjectSet("Sep"+0+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=2; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=24; name="-";             break;
      case 1 : y=24+9*8+4*9; name="-";     break;
      case 2 : y=24+11*8+4*11; name="-";    break; 
   }
ObjectCreate("Sep"+1+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+1+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+1+i, OBJPROP_XDISTANCE, 8);  
ObjectSet("Sep"+1+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=2; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=24; name="-";             break;
      case 1 : y=24+9*8+4*9; name="-";     break;
      case 2 : y=24+11*8+4*11; name="-";    break; 
   }
ObjectCreate("Sep"+2+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+2+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+2+i, OBJPROP_XDISTANCE, 16);  
ObjectSet("Sep"+2+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=2; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=24; name="-";             break;
      case 1 : y=24+9*8+4*9; name="-";     break;
      case 2 : y=24+11*8+4*11; name="-";    break; 
   }
ObjectCreate("Sep"+3+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+3+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+3+i, OBJPROP_XDISTANCE, 16+8);  
ObjectSet("Sep"+3+i, OBJPROP_YDISTANCE, y);
}  

for (i=0; i<=2; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=24; name="-";             break;
      case 1 : y=24+9*8+4*9; name="-";     break;
      case 2 : y=24+11*8+4*11; name="-";    break; 
   }
ObjectCreate("Sep"+4+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+4+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+4+i, OBJPROP_XDISTANCE, 16+16);  
ObjectSet("Sep"+4+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=2; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=24; name="-";             break;
      case 1 : y=24+9*8+4*9; name="-";     break;
      case 2 : y=24+11*8+4*11; name="-";    break; 
   }
ObjectCreate("Sep"+5+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+5+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+5+i, OBJPROP_XDISTANCE, 32+8);  
ObjectSet("Sep"+5+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=2; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=24; name="-";             break;
      case 1 : y=24+9*8+4*9; name="-";     break;
      case 2 : y=24+11*8+4*11; name="-";    break; 
   }
ObjectCreate("Sep"+6+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+6+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+6+i, OBJPROP_XDISTANCE, 32+16);  
ObjectSet("Sep"+6+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=2; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=24; name="-";             break;
      case 1 : y=24+9*8+4*9; name="-";     break;
      case 2 : y=24+11*8+4*11; name="-";    break; 
   }
ObjectCreate("Sep"+7+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+7+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+7+i, OBJPROP_XDISTANCE, 32+16+8);  
ObjectSet("Sep"+7+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=2; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=24; name="-";             break;
      case 1 : y=24+9*8+4*9; name="-";     break;
      case 2 : y=24+11*8+4*11; name="-";    break; 
   }
ObjectCreate("Sep"+8+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+8+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+8+i, OBJPROP_XDISTANCE, 32+32);  
ObjectSet("Sep"+8+i, OBJPROP_YDISTANCE, y);
}

return(0);
}

void Blok2()
{
for (i=0; i<=12; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="+";             break;
      case 1 : y=i*8+4*i; name="|";     break;
      case 2 : y=i*8+4*i; name="+";    break;
      case 3 : y=i*8+4*i; name="|";    break;
      case 4 : y=i*8+4*i; name="|";    break;
      case 5 : y=i*8+4*i; name="|";    break;
      case 6 : y=i*8+4*i; name="|";    break;
      case 7 : y=i*8+4*i; name="|";    break;
      case 8 : y=i*8+4*i; name="|";    break;
      case 9 : y=i*8+4*i; name="|";    break;
      case 10 :y=i*8+4*i; name="|";    break;
      case 11 :y=i*8+4*i; name="+";    break;
      case 12 :y=12+i*8+4*i; name="-";    break;  
   }
ObjectCreate("Sep"+9+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+9+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+9+i, OBJPROP_XDISTANCE, 64+8);  
ObjectSet("Sep"+9+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+10+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+10+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+10+i, OBJPROP_XDISTANCE, 64+16);  
ObjectSet("Sep"+10+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+11+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+11+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+11+i, OBJPROP_XDISTANCE, 64+16+8);  
ObjectSet("Sep"+11+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+12+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+12+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+12+i, OBJPROP_XDISTANCE, 64+32);  
ObjectSet("Sep"+12+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+13+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+13+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+13+i, OBJPROP_XDISTANCE, 64+32+8);  
ObjectSet("Sep"+13+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+14+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+14+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+14+i, OBJPROP_XDISTANCE, 64+32+16);  
ObjectSet("Sep"+14+i, OBJPROP_YDISTANCE, y);
}

return(0);
}

void Blok3()
{
for (i=0; i<=12; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="+";             break;
      case 1 : y=i*8+4*i; name="|";     break;
      case 2 : y=i*8+4*i; name="+";    break;
      case 3 : y=i*8+4*i; name="|";    break;
      case 4 : y=i*8+4*i; name="|";    break;
      case 5 : y=i*8+4*i; name="|";    break;
      case 6 : y=i*8+4*i; name="|";    break;
      case 7 : y=i*8+4*i; name="|";    break;
      case 8 : y=i*8+4*i; name="|";    break;
      case 9 : y=i*8+4*i; name="|";    break;
      case 10 :y=i*8+4*i; name="|";    break;
      case 11 :y=i*8+4*i; name="+";    break;
      case 12 :y=12+i*8+4*i; name="-";    break;  
   }
ObjectCreate("Sep"+15+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+15+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+15+i, OBJPROP_XDISTANCE, 112+8);  
ObjectSet("Sep"+15+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+16+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+16+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+16+i, OBJPROP_XDISTANCE, 112+16);  
ObjectSet("Sep"+16+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+17+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+17+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+17+i, OBJPROP_XDISTANCE, 112+16+8);  
ObjectSet("Sep"+17+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+18+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+18+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+18+i, OBJPROP_XDISTANCE, 112+32);  
ObjectSet("Sep"+18+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+19+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+19+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+19+i, OBJPROP_XDISTANCE, 112+32+8);  
ObjectSet("Sep"+19+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+20+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+20+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+20+i, OBJPROP_XDISTANCE, 112+32+16);  
ObjectSet("Sep"+20+i, OBJPROP_YDISTANCE, y);
}

return(0);
}

void Blok4()
{
for (i=0; i<=12; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="+";             break;
      case 1 : y=i*8+4*i; name="|";     break;
      case 2 : y=i*8+4*i; name="+";    break;
      case 3 : y=i*8+4*i; name="|";    break;
      case 4 : y=i*8+4*i; name="|";    break;
      case 5 : y=i*8+4*i; name="|";    break;
      case 6 : y=i*8+4*i; name="|";    break;
      case 7 : y=i*8+4*i; name="|";    break;
      case 8 : y=i*8+4*i; name="|";    break;
      case 9 : y=i*8+4*i; name="|";    break;
      case 10 :y=i*8+4*i; name="|";    break;
      case 11 :y=i*8+4*i; name="+";    break;
      case 12 :y=12+i*8+4*i; name="-";    break;  
   }
ObjectCreate("Sep"+21+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+21+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+21+i, OBJPROP_XDISTANCE, 160+8);  
ObjectSet("Sep"+21+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+22+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+22+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+22+i, OBJPROP_XDISTANCE, 160+16);  
ObjectSet("Sep"+22+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+23+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+23+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+23+i, OBJPROP_XDISTANCE, 160+16+8);  
ObjectSet("Sep"+23+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+24+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+24+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+24+i, OBJPROP_XDISTANCE, 160+32);  
ObjectSet("Sep"+24+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+25+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+25+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+25+i, OBJPROP_XDISTANCE, 160+32+8);  
ObjectSet("Sep"+25+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+26+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+26+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+26+i, OBJPROP_XDISTANCE, 160+32+16);  
ObjectSet("Sep"+26+i, OBJPROP_YDISTANCE, y);
}

return(0);
}

void Blok5()
{
for (i=0; i<=12; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="+";             break;
      case 1 : y=i*8+4*i; name="|";     break;
      case 2 : y=i*8+4*i; name="+";    break;
      case 3 : y=i*8+4*i; name="|";    break;
      case 4 : y=i*8+4*i; name="|";    break;
      case 5 : y=i*8+4*i; name="|";    break;
      case 6 : y=i*8+4*i; name="|";    break;
      case 7 : y=i*8+4*i; name="|";    break;
      case 8 : y=i*8+4*i; name="|";    break;
      case 9 : y=i*8+4*i; name="|";    break;
      case 10 :y=i*8+4*i; name="|";    break;
      case 11 :y=i*8+4*i; name="+";    break;
      case 12 :y=12+i*8+4*i; name="-";    break;  
   }
ObjectCreate("Sep"+27+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+27+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+27+i, OBJPROP_XDISTANCE, 208+8);  
ObjectSet("Sep"+27+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+28+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+28+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+28+i, OBJPROP_XDISTANCE, 208+16);  
ObjectSet("Sep"+28+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+29+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+29+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+29+i, OBJPROP_XDISTANCE, 208+16+8);  
ObjectSet("Sep"+29+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+30+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+30+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+30+i, OBJPROP_XDISTANCE, 208+32);  
ObjectSet("Sep"+30+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+31+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+31+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+31+i, OBJPROP_XDISTANCE, 208+32+8);  
ObjectSet("Sep"+31+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+32+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+32+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+32+i, OBJPROP_XDISTANCE, 208+32+16);  
ObjectSet("Sep"+32+i, OBJPROP_YDISTANCE, y);
}
return(0);
}

void Blok6()
{
for (i=0; i<=12; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="+";             break;
      case 1 : y=i*8+4*i; name="|";     break;
      case 2 : y=i*8+4*i; name="+";    break;
      case 3 : y=i*8+4*i; name="|";    break;
      case 4 : y=i*8+4*i; name="|";    break;
      case 5 : y=i*8+4*i; name="|";    break;
      case 6 : y=i*8+4*i; name="|";    break;
      case 7 : y=i*8+4*i; name="|";    break;
      case 8 : y=i*8+4*i; name="|";    break;
      case 9 : y=i*8+4*i; name="|";    break;
      case 10 :y=i*8+4*i; name="|";    break;
      case 11 :y=i*8+4*i; name="+";    break;
      case 12 :y=12+i*8+4*i; name="-";    break;  
   }
ObjectCreate("Sep"+33+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+33+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+33+i, OBJPROP_XDISTANCE, 256+8);  
ObjectSet("Sep"+33+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+34+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+34+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+34+i, OBJPROP_XDISTANCE, 256+16);  
ObjectSet("Sep"+34+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+35+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+35+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+35+i, OBJPROP_XDISTANCE, 256+16+8);  
ObjectSet("Sep"+35+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+36+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+36+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+36+i, OBJPROP_XDISTANCE, 256+32);  
ObjectSet("Sep"+36+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+37+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+37+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+37+i, OBJPROP_XDISTANCE, 256+32+8);  
ObjectSet("Sep"+37+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+38+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+38+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+38+i, OBJPROP_XDISTANCE, 256+32+16);  
ObjectSet("Sep"+38+i, OBJPROP_YDISTANCE, y);
}

return(0);
}
//blok7
void Blok7()
{
for (i=0; i<=12; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="+";             break;
      case 1 : y=i*8+4*i; name="|";     break;
      case 2 : y=i*8+4*i; name="+";    break;
      case 3 : y=i*8+4*i; name="|";    break;
      case 4 : y=i*8+4*i; name="|";    break;
      case 5 : y=i*8+4*i; name="|";    break;
      case 6 : y=i*8+4*i; name="|";    break;
      case 7 : y=i*8+4*i; name="|";    break;
      case 8 : y=i*8+4*i; name="|";    break;
      case 9 : y=i*8+4*i; name="|";    break;
      case 10 :y=i*8+4*i; name="|";    break;
      case 11 :y=i*8+4*i; name="+";    break;
      case 12 :y=12+i*8+4*i; name="-";    break;  
   }
ObjectCreate("Sep"+39+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+39+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+39+i, OBJPROP_XDISTANCE, 304+8);  
ObjectSet("Sep"+39+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+40+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+40+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+40+i, OBJPROP_XDISTANCE, 304+16);  
ObjectSet("Sep"+40+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+41+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+41+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+41+i, OBJPROP_XDISTANCE, 304+16+8);  
ObjectSet("Sep"+41+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+42+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+42+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+42+i, OBJPROP_XDISTANCE, 304+32);  
ObjectSet("Sep"+42+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+43+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+43+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+43+i, OBJPROP_XDISTANCE, 304+32+8);  
ObjectSet("Sep"+43+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+44+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+44+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+44+i, OBJPROP_XDISTANCE, 304+32+16);  
ObjectSet("Sep"+44+i, OBJPROP_YDISTANCE, y);
}

return(0);
}
//blok8
void Blok8()
{
for (i=0; i<=12; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="+";             break;
      case 1 : y=i*8+4*i; name="|";     break;
      case 2 : y=i*8+4*i; name="+";    break;
      case 3 : y=i*8+4*i; name="|";    break;
      case 4 : y=i*8+4*i; name="|";    break;
      case 5 : y=i*8+4*i; name="|";    break;
      case 6 : y=i*8+4*i; name="|";    break;
      case 7 : y=i*8+4*i; name="|";    break;
      case 8 : y=i*8+4*i; name="|";    break;
      case 9 : y=i*8+4*i; name="|";    break;
      case 10 :y=i*8+4*i; name="|";    break;
      case 11 :y=i*8+4*i; name="+";    break;
      case 12 :y=12+i*8+4*i; name="-";    break;  
   }
ObjectCreate("Sep"+45+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+45+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+45+i, OBJPROP_XDISTANCE, 352+8);  
ObjectSet("Sep"+45+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+46+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+46+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+46+i, OBJPROP_XDISTANCE, 352+16);  
ObjectSet("Sep"+46+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+47+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+47+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+47+i, OBJPROP_XDISTANCE, 352+16+8);  
ObjectSet("Sep"+47+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+48+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+48+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+48+i, OBJPROP_XDISTANCE, 352+32);  
ObjectSet("Sep"+48+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+49+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+49+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+49+i, OBJPROP_XDISTANCE, 352+32+8);  
ObjectSet("Sep"+49+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+50+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+50+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+50+i, OBJPROP_XDISTANCE, 352+32+16);  
ObjectSet("Sep"+50+i, OBJPROP_YDISTANCE, y);
}
return(0);
}
//blok9
void Blok9()
{
for (i=0; i<=12; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="+";             break;
      case 1 : y=i*8+4*i; name="|";     break;
      case 2 : y=i*8+4*i; name="+";    break;
      case 3 : y=i*8+4*i; name="|";    break;
      case 4 : y=i*8+4*i; name="|";    break;
      case 5 : y=i*8+4*i; name="|";    break;
      case 6 : y=i*8+4*i; name="|";    break;
      case 7 : y=i*8+4*i; name="|";    break;
      case 8 : y=i*8+4*i; name="|";    break;
      case 9 : y=i*8+4*i; name="|";    break;
      case 10 :y=i*8+4*i; name="|";    break;
      case 11 :y=i*8+4*i; name="+";    break;
      case 12 :y=12+i*8+4*i; name="-";    break;  
   }
ObjectCreate("Sep"+51+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+51+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+51+i, OBJPROP_XDISTANCE, 400+8);  
ObjectSet("Sep"+51+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+52+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+52+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+52+i, OBJPROP_XDISTANCE, 400+16);  
ObjectSet("Sep"+52+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+53+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+53+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+53+i, OBJPROP_XDISTANCE, 400+16+8);  
ObjectSet("Sep"+53+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+54+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+54+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+54+i, OBJPROP_XDISTANCE, 400+32);  
ObjectSet("Sep"+54+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+55+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+55+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+55+i, OBJPROP_XDISTANCE, 400+32+8);  
ObjectSet("Sep"+55+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+56+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+56+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+56+i, OBJPROP_XDISTANCE, 400+32+16);  
ObjectSet("Sep"+56+i, OBJPROP_YDISTANCE, y);
}
return(0);
}
//blok10
void Blok10()
{
for (i=0; i<=12; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="+";             break;
      case 1 : y=i*8+4*i; name="|";     break;
      case 2 : y=i*8+4*i; name="+";    break;
      case 3 : y=i*8+4*i; name="|";    break;
      case 4 : y=i*8+4*i; name="|";    break;
      case 5 : y=i*8+4*i; name="|";    break;
      case 6 : y=i*8+4*i; name="|";    break;
      case 7 : y=i*8+4*i; name="|";    break;
      case 8 : y=i*8+4*i; name="|";    break;
      case 9 : y=i*8+4*i; name="|";    break;
      case 10 :y=i*8+4*i; name="|";    break;
      case 11 :y=i*8+4*i; name="+";    break;
      case 12 :y=12+i*8+4*i; name="-";    break;  
   }
ObjectCreate("Sep"+57+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+57+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+57+i, OBJPROP_XDISTANCE, 448+8);  
ObjectSet("Sep"+57+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+58+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+58+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+58+i, OBJPROP_XDISTANCE, 448+16);  
ObjectSet("Sep"+58+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+59+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+59+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+59+i, OBJPROP_XDISTANCE, 448+16+8);  
ObjectSet("Sep"+59+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+60+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+60+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+60+i, OBJPROP_XDISTANCE, 448+32);  
ObjectSet("Sep"+60+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+61+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+61+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+61+i, OBJPROP_XDISTANCE, 448+32+8);  
ObjectSet("Sep"+61+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+62+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+62+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+62+i, OBJPROP_XDISTANCE, 448+32+16);  
ObjectSet("Sep"+62+i, OBJPROP_YDISTANCE, y);
}
return(0);
}
//blok11
void Blok11()
{
for (i=0; i<=12; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="+";             break;
      case 1 : y=i*8+4*i; name="|";     break;
      case 2 : y=i*8+4*i; name="+";    break;
      case 3 : y=i*8+4*i; name="|";    break;
      case 4 : y=i*8+4*i; name="|";    break;
      case 5 : y=i*8+4*i; name="|";    break;
      case 6 : y=i*8+4*i; name="|";    break;
      case 7 : y=i*8+4*i; name="|";    break;
      case 8 : y=i*8+4*i; name="|";    break;
      case 9 : y=i*8+4*i; name="|";    break;
      case 10 :y=i*8+4*i; name="|";    break;
      case 11 :y=i*8+4*i; name="+";    break;
      case 12 :y=12+i*8+4*i; name="-";    break;  
   }
ObjectCreate("Sep"+63+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+63+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+63+i, OBJPROP_XDISTANCE, 496+8);  
ObjectSet("Sep"+63+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+64+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+64+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+64+i, OBJPROP_XDISTANCE, 496+16);  
ObjectSet("Sep"+64+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+65+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+65+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+65+i, OBJPROP_XDISTANCE, 496+16+8);  
ObjectSet("Sep"+65+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+66+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+66+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+66+i, OBJPROP_XDISTANCE, 496+32);  
ObjectSet("Sep"+66+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+67+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+67+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+67+i, OBJPROP_XDISTANCE, 496+32+8);  
ObjectSet("Sep"+67+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+68+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+68+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+68+i, OBJPROP_XDISTANCE, 496+32+16);  
ObjectSet("Sep"+68+i, OBJPROP_YDISTANCE, y);
}
return(0);
}
//blok12
void Blok12()
{
for (i=0; i<=12; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="+";             break;
      case 1 : y=i*8+4*i; name="|";     break;
      case 2 : y=i*8+4*i; name="+";    break;
      case 3 : y=i*8+4*i; name="|";    break;
      case 4 : y=i*8+4*i; name="|";    break;
      case 5 : y=i*8+4*i; name="|";    break;
      case 6 : y=i*8+4*i; name="|";    break;
      case 7 : y=i*8+4*i; name="|";    break;
      case 8 : y=i*8+4*i; name="|";    break;
      case 9 : y=i*8+4*i; name="|";    break;
      case 10 :y=i*8+4*i; name="|";    break;
      case 11 :y=i*8+4*i; name="+";    break;
      case 12 :y=12+i*8+4*i; name="-";    break;  
   }
ObjectCreate("Sep"+69+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+69+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+69+i, OBJPROP_XDISTANCE, 544+8);  
ObjectSet("Sep"+69+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+70+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+70+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+70+i, OBJPROP_XDISTANCE, 544+16);  
ObjectSet("Sep"+70+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+71+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+71+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+71+i, OBJPROP_XDISTANCE, 544+16+8);  
ObjectSet("Sep"+71+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+72+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+72+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+72+i, OBJPROP_XDISTANCE, 544+32);  
ObjectSet("Sep"+72+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+73+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+73+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+73+i, OBJPROP_XDISTANCE, 544+32+8);  
ObjectSet("Sep"+73+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+74+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+74+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+74+i, OBJPROP_XDISTANCE, 544+32+16);  
ObjectSet("Sep"+74+i, OBJPROP_YDISTANCE, y);
}
return(0);
}
//blok13
void Blok13()
{
for (i=0; i<=12; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="+";             break;
      case 1 : y=i*8+4*i; name="|";     break;
      case 2 : y=i*8+4*i; name="+";    break;
      case 3 : y=i*8+4*i; name="|";    break;
      case 4 : y=i*8+4*i; name="|";    break;
      case 5 : y=i*8+4*i; name="|";    break;
      case 6 : y=i*8+4*i; name="|";    break;
      case 7 : y=i*8+4*i; name="|";    break;
      case 8 : y=i*8+4*i; name="|";    break;
      case 9 : y=i*8+4*i; name="|";    break;
      case 10 :y=i*8+4*i; name="|";    break;
      case 11 :y=i*8+4*i; name="+";    break;
      case 12 :y=12+i*8+4*i; name="-";    break;  
   }
ObjectCreate("Sep"+75+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+75+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+75+i, OBJPROP_XDISTANCE, 592+8);  
ObjectSet("Sep"+75+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+76+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+76+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+76+i, OBJPROP_XDISTANCE, 592+16);  
ObjectSet("Sep"+76+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+77+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+77+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+77+i, OBJPROP_XDISTANCE, 592+16+8);  
ObjectSet("Sep"+77+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+78+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+78+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+78+i, OBJPROP_XDISTANCE, 592+32);  
ObjectSet("Sep"+78+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+79+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+79+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+79+i, OBJPROP_XDISTANCE, 592+32+8);  
ObjectSet("Sep"+79+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+80+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+80+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+80+i, OBJPROP_XDISTANCE, 592+32+16);  
ObjectSet("Sep"+80+i, OBJPROP_YDISTANCE, y);
}
return(0);
}
//blok14
void Blok14()
{
for (i=0; i<=12; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="+";             break;
      case 1 : y=i*8+4*i; name="|";     break;
      case 2 : y=i*8+4*i; name="+";    break;
      case 3 : y=i*8+4*i; name="|";    break;
      case 4 : y=i*8+4*i; name="|";    break;
      case 5 : y=i*8+4*i; name="|";    break;
      case 6 : y=i*8+4*i; name="|";    break;
      case 7 : y=i*8+4*i; name="|";    break;
      case 8 : y=i*8+4*i; name="|";    break;
      case 9 : y=i*8+4*i; name="|";    break;
      case 10 :y=i*8+4*i; name="|";    break;
      case 11 :y=i*8+4*i; name="+";    break;
      case 12 :y=12+i*8+4*i; name="-";    break;  
   }
ObjectCreate("Sep"+81+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+81+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+81+i, OBJPROP_XDISTANCE, 640+8);  
ObjectSet("Sep"+81+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+82+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+82+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+82+i, OBJPROP_XDISTANCE, 640+16);  
ObjectSet("Sep"+82+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+83+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+83+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+83+i, OBJPROP_XDISTANCE, 640+16+8);  
ObjectSet("Sep"+83+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+84+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+84+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+84+i, OBJPROP_XDISTANCE, 640+32);  
ObjectSet("Sep"+84+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+85+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+85+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+85+i, OBJPROP_XDISTANCE, 640+32+8);  
ObjectSet("Sep"+85+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Sep"+86+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Sep"+86+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Sep"+86+i, OBJPROP_XDISTANCE, 640+32+16);  
ObjectSet("Sep"+86+i, OBJPROP_YDISTANCE, y);
}
return(0);
}
//Blok15 (Trend)
void Blok15()
{
for (i=0; i<=12; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="+";             break;
      case 1 : y=i*8+4*i; name="|";     break;
      case 2 : y=i*8+4*i; name="+";    break;
      case 3 : y=i*8+4*i; name="|";    break;
      case 4 : y=i*8+4*i; name="|";    break;
      case 5 : y=i*8+4*i; name="+";    break;
      case 6 : y=i*8+4*i; name="|";    break;
      case 7 : y=i*8+4*i; name="|";    break;
      case 8 : y=i*8+4*i; name="|";    break;
      case 9 : y=i*8+4*i; name="|";    break;
      case 10 :y=i*8+4*i; name="|";    break;
      case 11 :y=i*8+4*i; name="+";    break;
      case 12 :y=12+i*8+4*i; name="-";    break;  
   }
ObjectCreate("Bl"+0+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+0+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+0+i, OBJPROP_XDISTANCE, 688+8);  
ObjectSet("Bl"+0+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=4; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=5*8+4*5; name="-";    break;  
      case 3 :y=11*8+4*11; name="-";    break;
      case 4 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+1+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+1+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+1+i, OBJPROP_XDISTANCE, 688+16);  
ObjectSet("Bl"+1+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=4; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=5*8+4*5; name="-";    break;  
      case 3 :y=11*8+4*11; name="-";    break;
      case 4 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+2+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+2+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+2+i, OBJPROP_XDISTANCE, 688+16+8);  
ObjectSet("Bl"+2+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=4; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=5*8+4*5; name="-";    break;  
      case 3 :y=11*8+4*11; name="-";    break;
      case 4 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+3+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+3+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+3+i, OBJPROP_XDISTANCE, 688+32);  
ObjectSet("Bl"+3+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=4; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=5*8+4*5; name="-";    break;  
      case 3 :y=11*8+4*11; name="-";    break;
      case 4 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+4+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+4+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+4+i, OBJPROP_XDISTANCE, 688+32+8);  
ObjectSet("Bl"+4+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=4; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=5*8+4*5; name="-";    break;  
      case 3 :y=11*8+4*11; name="-";    break;
      case 4 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+5+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+5+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+5+i, OBJPROP_XDISTANCE, 688+32+16);  
ObjectSet("Bl"+5+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=4; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=5*8+4*5; name="-";    break;  
      case 3 :y=11*8+4*11; name="-";    break;
      case 4 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+6+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+6+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+6+i, OBJPROP_XDISTANCE, 688+32+16+8);  
ObjectSet("Bl"+6+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=4; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=5*8+4*5; name="-";    break;  
      case 3 :y=11*8+4*11; name="-";    break;
      case 4 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+7+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+7+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+7+i, OBJPROP_XDISTANCE, 688+64);  
ObjectSet("Bl"+7+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=4; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=5*8+4*5; name="-";    break;  
      case 3 :y=11*8+4*11; name="-";    break;
      case 4 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+8+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+8+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+8+i, OBJPROP_XDISTANCE, 688+64+8);  
ObjectSet("Bl"+8+i, OBJPROP_YDISTANCE, y);
}

return(0);
}

//Pivots
void Blok16()
{
for (i=0; i<=12; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="+";             break;
      case 1 : y=i*8+4*i; name="|";     break;
      case 2 : y=i*8+4*i; name="+";    break;
      case 3 : y=i*8+4*i; name="|";    break;
      case 4 : y=i*8+4*i; name="|";    break;
      case 5 : y=i*8+4*i; name="+";    break;
      case 6 : y=i*8+4*i; name="|";    break;
      case 7 : y=i*8+4*i; name="|";    break;
      case 8 : y=i*8+4*i; name="|";    break;
      case 9 : y=i*8+4*i; name="|";    break;
      case 10 :y=i*8+4*i; name="|";    break;
      case 11 :y=i*8+4*i; name="+";    break;
      case 12 :y=12+i*8+4*i; name="-";    break;  
   }
ObjectCreate("Bl"+9+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+9+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+9+i, OBJPROP_XDISTANCE, 760+8);  
ObjectSet("Bl"+9+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+10+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+10+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+10+i, OBJPROP_XDISTANCE, 760+16);  
ObjectSet("Bl"+10+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+11+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+11+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+11+i, OBJPROP_XDISTANCE, 760+16+8);  
ObjectSet("Bl"+11+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+12+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+12+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+12+i, OBJPROP_XDISTANCE, 760+32);  
ObjectSet("Bl"+12+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+13+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+13+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+13+i, OBJPROP_XDISTANCE, 760+32+8);  
ObjectSet("Bl"+13+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+14+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+14+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+14+i, OBJPROP_XDISTANCE, 760+32+ 16);  
ObjectSet("Bl"+14+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+15+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+15+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+15+i, OBJPROP_XDISTANCE, 760+32+16+8);  
ObjectSet("Bl"+15+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+16+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+16+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+16+i, OBJPROP_XDISTANCE, 760+64);  
ObjectSet("Bl"+16+i, OBJPROP_YDISTANCE, y);
}
for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+17+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+17+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+17+i, OBJPROP_XDISTANCE, 760+64+8);  
ObjectSet("Bl"+17+i, OBJPROP_YDISTANCE, y);
}
for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+18+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+18+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+18+i, OBJPROP_XDISTANCE, 760+64+16);  
ObjectSet("Bl"+18+i, OBJPROP_YDISTANCE, y);
}
for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+19+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+19+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+19+i, OBJPROP_XDISTANCE, 760+64+16+8);  
ObjectSet("Bl"+19+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=13; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="+";             break;
      case 1 : y=i*8+4*i; name="|";     break;
      case 2 : y=i*8+4*i; name="+";    break;
      case 3 : y=i*8+4*i; name="|";    break;
      case 4 : y=i*8+4*i; name="|";    break;
      case 5 : y=i*8+4*i; name="|";    break;
      case 6 : y=i*8+4*i; name="|";    break;
      case 7 : y=i*8+4*i; name="|";    break;
      case 8 : y=i*8+4*i; name="|";    break;
      case 9 : y=i*8+4*i; name="|";    break;
      case 10 :y=i*8+4*i; name="|";    break;
      case 11 :y=i*8+4*i; name="+";    break;
      case 12 :y=i*8+4*i; name="|"; break;
      case 13 :y=i*8+4*i; name="+";    break;  
   }
ObjectCreate("Bl"+20+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+20+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+20+i, OBJPROP_XDISTANCE, 760+64+32);  
ObjectSet("Bl"+20+i, OBJPROP_YDISTANCE, y);
}
return(0);
}
//BalanceInfo
void Blok17()
{
for (i=0; i<=13; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="+";             break;
      case 1 : y=i*8+4*i; name="|";     break;
      case 2 : y=i*8+4*i; name="+";    break;
      case 3 : y=i*8+4*i; name="|";    break;
      case 4 : y=i*8+4*i; name="|";    break;
      case 5 : y=i*8+4*i; name="|";    break;
      case 6 : y=i*8+4*i; name="|";    break;
      case 7 : y=i*8+4*i; name="|";    break;
      case 8 : y=i*8+4*i; name="|";    break;
      case 9 : y=i*8+4*i; name="|";    break;
      case 10 :y=i*8+4*i; name="|";    break;
      case 11 :y=i*8+4*i; name="+";    break;
      case 12 :y=i*8+4*i; name="|"; break;
      case 13 :y=i*8+4*i; name="+";    break;  
   }
ObjectCreate("Bl"+21+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+21+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+21+i, OBJPROP_XDISTANCE, 856+16);  
ObjectSet("Bl"+21+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+22+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+22+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+22+i, OBJPROP_XDISTANCE, 856+16+8);  
ObjectSet("Bl"+22+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+23+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+23+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+23+i, OBJPROP_XDISTANCE, 856+16+16);  
ObjectSet("Bl"+23+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+24+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+24+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+24+i, OBJPROP_XDISTANCE, 856+32+8);  
ObjectSet("Bl"+24+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+25+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+25+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+25+i, OBJPROP_XDISTANCE, 856+32+8+8);  
ObjectSet("Bl"+25+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+26+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+26+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+26+i, OBJPROP_XDISTANCE, 856+32+ 16+8);  
ObjectSet("Bl"+26+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+27+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+27+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+27+i, OBJPROP_XDISTANCE, 856+32+16+8+8);  
ObjectSet("Bl"+27+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+28+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+28+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+28+i, OBJPROP_XDISTANCE, 856+64+8);  
ObjectSet("Bl"+28+i, OBJPROP_YDISTANCE, y);
}
for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+29+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+29+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+29+i, OBJPROP_XDISTANCE, 856+64+8+8);  
ObjectSet("Bl"+29+i, OBJPROP_YDISTANCE, y);
}
for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+30+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+30+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+30+i, OBJPROP_XDISTANCE, 856+64+16+8);  
ObjectSet("Bl"+30+i, OBJPROP_YDISTANCE, y);
}
for (i=0; i<=3; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="-";             break;
      case 1 : y=2*8+4*2; name="-";    break;
      case 2 :y=11*8+4*11; name="-";    break;  
      case 3 :y=12+ 12*8+4*12; name="-";    break;  
   }
ObjectCreate("Bl"+31+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+31+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+31+i, OBJPROP_XDISTANCE, 856+64+16+8+8);  
ObjectSet("Bl"+31+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=13; i++)
{
switch(i)                                  
  {                                            
      case 0 : y=0; name="+";             break;
      case 1 : y=i*8+4*i; name="|";     break;
      case 2 : y=i*8+4*i; name="+";    break;
      case 3 : y=i*8+4*i; name="|";    break;
      case 4 : y=i*8+4*i; name="|";    break;
      case 5 : y=i*8+4*i; name="|";    break;
      case 6 : y=i*8+4*i; name="|";    break;
      case 7 : y=i*8+4*i; name="|";    break;
      case 8 : y=i*8+4*i; name="|";    break;
      case 9 : y=i*8+4*i; name="|";    break;
      case 10 :y=i*8+4*i; name="|";    break;
      case 11 :y=i*8+4*i; name="+";    break;
      case 12 :y=i*8+4*i; name="|"; break;
      case 13 :y=i*8+4*i; name="+";    break;  
   }
ObjectCreate("Bl"+32+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Bl"+32+i,name,8, "Verdana", SeparatorsTextColor );
ObjectSet("Bl"+32+i, OBJPROP_XDISTANCE, 856+64+32+8);  
ObjectSet("Bl"+32+i, OBJPROP_YDISTANCE, y);
}

return(0);
}

int CreateTable()
{
Blok1(); //y=24 x=8
Blok2(); //x=64+16
Blok3(); //x=112+16
Blok4(); //x=160+16
Blok5(); //x=208+16
Blok6(); //x=256+16
Blok7(); //x=304+16
Blok8(); //x=352+16
Blok9();
Blok10();
Blok11();
Blok12();
Blok13();
Blok14();
Blok15();
Blok16();
Blok17();
return(0);
}

void CreateCaptions()
{
for (i=0; i<13; i++)
{
switch(i)                                  
  {
  case 0:x=64+16 ;break;
  case 1:x=112+16 ;break;//128
  case 2:x=160+16 ;break;//+48
  case 3:x=208+16 ;break;
  case 4:x=256+16 ;break;
  case 5:x=256+16+48; break;
  case 6:x=256+16+48*2; break;
  case 7:x=256+16+48*3; break;
  case 8:x=256+16+48*4; break;
  case 9:x=256+16+48*(i-4); break;
  case 10:x=256+16+48*(i-4); break;
  case 11:x=256+16+48*(i-4); break;
  case 12:x=256+16+48*(i-4); break;  
  }
//Indicators[i]
ObjectCreate(Indicators[i], OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText(Indicators[i],Indicators[i],8, "Verdana", IndicatorsTextColor );
ObjectSet(Indicators[i], OBJPROP_XDISTANCE, x);  
ObjectSet(Indicators[i], OBJPROP_YDISTANCE, 8+4);
}

ObjectCreate("TrendInfo", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("TrendInfo","Trend",8, "Verdana", IndicatorsTextColor );
ObjectSet("TrendInfo", OBJPROP_XDISTANCE, 688+30);  
ObjectSet("TrendInfo", OBJPROP_YDISTANCE, 8+4);

ObjectCreate("PivotsInfo", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("PivotsInfo","Pivots",8, "Verdana", IndicatorsTextColor );
ObjectSet("PivotsInfo", OBJPROP_XDISTANCE, 760+38);  
ObjectSet("PivotsInfo", OBJPROP_YDISTANCE, 8+4);

ObjectCreate("BalanceInfo", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("BalanceInfo","Balance",8, "Verdana", IndicatorsTextColor );
ObjectSet("BalanceInfo", OBJPROP_XDISTANCE, 856+40);  
ObjectSet("BalanceInfo", OBJPROP_YDISTANCE, 8+4);

for (i=0; i<=7; i++)
{
y=24+(i+1)*8+4*(i+1);

ObjectCreate(PeriodString[i], OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText(PeriodString[i],PeriodString[i],8, "Verdana", IndicatorsTextColor );
ObjectSet(PeriodString[i], OBJPROP_XDISTANCE, 8);  
ObjectSet(PeriodString[i], OBJPROP_YDISTANCE, y);
}

for (i=0; i<=7; i++)
{
y=24+(i+1)*8+4*(i+1);

ObjectCreate("S"+0+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S"+0+i,"S",8, "Verdana", SeparatorsTextColor );
ObjectSet("S"+0+i, OBJPROP_XDISTANCE, 64+32);  
ObjectSet("S"+0+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=7; i++)
{
y=24+(i+1)*8+4*(i+1);

ObjectCreate("S"+1+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S"+1+i,"S",8, "Verdana", SeparatorsTextColor );
ObjectSet("S"+1+i, OBJPROP_XDISTANCE, 64+32+48);  
ObjectSet("S"+1+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=7; i++)
{
y=24+(i+1)*8+4*(i+1);

ObjectCreate("S"+2+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S"+2+i,"S",8, "Verdana", SeparatorsTextColor );
ObjectSet("S"+2+i, OBJPROP_XDISTANCE, 64+32+48*2);  
ObjectSet("S"+2+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=7; i++)
{
y=24+(i+1)*8+4*(i+1);

ObjectCreate("S"+3+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S"+3+i,"S",8, "Verdana", SeparatorsTextColor );
ObjectSet("S"+3+i, OBJPROP_XDISTANCE, 64+32+48*3);  
ObjectSet("S"+3+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=7; i++)
{
y=24+(i+1)*8+4*(i+1);

ObjectCreate("S"+4+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S"+4+i,"S",8, "Verdana", SeparatorsTextColor );
ObjectSet("S"+4+i, OBJPROP_XDISTANCE, 64+32+48*4);  
ObjectSet("S"+4+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=7; i++)
{
y=24+(i+1)*8+4*(i+1);

ObjectCreate("S"+5+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S"+5+i,"S",8, "Verdana", SeparatorsTextColor );
ObjectSet("S"+5+i, OBJPROP_XDISTANCE, 64+32+48*5);  
ObjectSet("S"+5+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=7; i++)
{
y=24+(i+1)*8+4*(i+1);

ObjectCreate("S"+6+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S"+6+i,"S",8, "Verdana", SeparatorsTextColor );
ObjectSet("S"+6+i, OBJPROP_XDISTANCE, 64+32+48*6);  
ObjectSet("S"+6+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=7; i++)
{
y=24+(i+1)*8+4*(i+1);

ObjectCreate("S"+7+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S"+7+i,"S",8, "Verdana", SeparatorsTextColor );
ObjectSet("S"+7+i, OBJPROP_XDISTANCE, 64+32+48*7);  
ObjectSet("S"+7+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=7; i++)
{
y=24+(i+1)*8+4*(i+1);

ObjectCreate("S"+8+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S"+8+i,"S",8, "Verdana", SeparatorsTextColor );
ObjectSet("S"+8+i, OBJPROP_XDISTANCE, 64+32+48*8);  
ObjectSet("S"+8+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=7; i++)
{
y=24+(i+1)*8+4*(i+1);

ObjectCreate("S"+9+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S"+9+i,"S",8, "Verdana", SeparatorsTextColor );
ObjectSet("S"+9+i, OBJPROP_XDISTANCE, 64+32+48*9);  
ObjectSet("S"+9+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=7; i++)
{
y=24+(i+1)*8+4*(i+1);

ObjectCreate("S"+10+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S"+10+i,"S",8, "Verdana", SeparatorsTextColor );
ObjectSet("S"+10+i, OBJPROP_XDISTANCE, 64+32+48*10);  
ObjectSet("S"+10+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=7; i++)
{
y=24+(i+1)*8+4*(i+1);

ObjectCreate("S"+11+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S"+11+i,"S",8, "Verdana", SeparatorsTextColor );
ObjectSet("S"+11+i, OBJPROP_XDISTANCE, 64+32+48*11);  
ObjectSet("S"+11+i, OBJPROP_YDISTANCE, y);
}

for (i=0; i<=7; i++)
{
y=24+(i+1)*8+4*(i+1);

ObjectCreate("S"+12+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S"+12+i,"S",8, "Verdana", SeparatorsTextColor );
ObjectSet("S"+12+i, OBJPROP_XDISTANCE, 64+32+48*12);  
ObjectSet("S"+12+i, OBJPROP_YDISTANCE, y);
}

ObjectCreate("UpLabel", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("UpLabel",CharToStr(SymbolCodeBuy),8, "Wingdings", SignalUpColor );
ObjectSet("UpLabel", OBJPROP_XDISTANCE, 688+8*2-2);  
ObjectSet("UpLabel", OBJPROP_YDISTANCE, 24+8+4);

ObjectCreate("UpPer", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("UpPer","00%",8, "Verdana", SeparatorsTextColor );
ObjectSet("UpPer", OBJPROP_XDISTANCE, 688+8*7-2);  
ObjectSet("UpPer", OBJPROP_YDISTANCE, 24+8+4);

ObjectCreate("DownLabel", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("DownLabel",CharToStr(SymbolCodeSell),8, "Wingdings", SignalDownColor );
ObjectSet("DownLabel", OBJPROP_XDISTANCE, 688+8*2-2);  
ObjectSet("DownLabel", OBJPROP_YDISTANCE, 24+8*2+4*2);

ObjectCreate("DownPer", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("DownPer","00%",8, "Verdana", SeparatorsTextColor );
ObjectSet("DownPer", OBJPROP_XDISTANCE, 688+8*7-2);  
ObjectSet("DownPer", OBJPROP_YDISTANCE, 24+8*2+4*2);

ObjectCreate("Trend", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Trend","S",16, "Verdana", SeparatorsTextColor );
ObjectSet("Trend", OBJPROP_XDISTANCE, 688+8*5);  
ObjectSet("Trend", OBJPROP_YDISTANCE, 24+8*6+3*6);

ObjectCreate("R3", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("R3","R3",8, "Verdana", SeparatorsTextColor );
ObjectSet("R3", OBJPROP_XDISTANCE, 760+16);  
ObjectSet("R3", OBJPROP_YDISTANCE, 24+8+4+6);

ObjectCreate("R3V", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("R3V","x.xxxx",8, "Verdana", SeparatorsTextColor );
ObjectSet("R3V", OBJPROP_XDISTANCE, 760+16*3);  
ObjectSet("R3V", OBJPROP_YDISTANCE, 24+8+4+6);

ObjectCreate("R2", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("R2","R2",8, "Verdana", SeparatorsTextColor );
ObjectSet("R2", OBJPROP_XDISTANCE, 760+16);  
ObjectSet("R2", OBJPROP_YDISTANCE, 24+8*2+4*2+6);

ObjectCreate("R2V", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("R2V","x.xxxx",8, "Verdana", SeparatorsTextColor );
ObjectSet("R2V", OBJPROP_XDISTANCE, 760+16*3);  
ObjectSet("R2V", OBJPROP_YDISTANCE, 24+8*2+4*2+6);

ObjectCreate("R1", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("R1","R1",8, "Verdana", SeparatorsTextColor );
ObjectSet("R1", OBJPROP_XDISTANCE, 760+16);  
ObjectSet("R1", OBJPROP_YDISTANCE, 24+8*3+4*3+6);

ObjectCreate("R1V", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("R1V","x.xxxx",8, "Verdana", SeparatorsTextColor );
ObjectSet("R1V", OBJPROP_XDISTANCE, 760+16*3);  
ObjectSet("R1V", OBJPROP_YDISTANCE, 24+8*3+4*3+6);

ObjectCreate("PP", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("PP","PP",8, "Verdana", SeparatorsTextColor );
ObjectSet("PP", OBJPROP_XDISTANCE, 760+16);  
ObjectSet("PP", OBJPROP_YDISTANCE, 24+8*4+4*4+6);

ObjectCreate("PPV", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("PPV","x.xxxx",8, "Verdana", SeparatorsTextColor );
ObjectSet("PPV", OBJPROP_XDISTANCE, 760+16*3);  
ObjectSet("PPV", OBJPROP_YDISTANCE, 24+8*4+4*4+6);

ObjectCreate("S1", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S1","S1",8, "Verdana", SeparatorsTextColor );
ObjectSet("S1", OBJPROP_XDISTANCE, 760+16);  
ObjectSet("S1", OBJPROP_YDISTANCE, 24+8*5+4*5+6);

ObjectCreate("S1V", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S1V","x.xxxx",8, "Verdana", SeparatorsTextColor );
ObjectSet("S1V", OBJPROP_XDISTANCE, 760+16*3);  
ObjectSet("S1V", OBJPROP_YDISTANCE, 24+8*5+4*5+6);

ObjectCreate("S2", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S2","S2",8, "Verdana", SeparatorsTextColor );
ObjectSet("S2", OBJPROP_XDISTANCE, 760+16);  
ObjectSet("S2", OBJPROP_YDISTANCE, 24+8*6+4*6+6);

ObjectCreate("S2V", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S2V","x.xxxx",8, "Verdana", SeparatorsTextColor );
ObjectSet("S2V", OBJPROP_XDISTANCE, 760+16*3);  
ObjectSet("S2V", OBJPROP_YDISTANCE, 24+8*6+4*6+6);

ObjectCreate("S3", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S3","S3",8, "Verdana", SeparatorsTextColor );
ObjectSet("S3", OBJPROP_XDISTANCE, 760+16);  
ObjectSet("S3", OBJPROP_YDISTANCE, 24+8*7+4*7+6);

ObjectCreate("S3V", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S3V","x.xxxx",8, "Verdana", SeparatorsTextColor );
ObjectSet("S3V", OBJPROP_XDISTANCE, 760+16*3);  
ObjectSet("S3V", OBJPROP_YDISTANCE, 24+8*7+4*7+6);

ObjectCreate("MyCopyright", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("MyCopyright"," Trend Analysis (v 2.0). E-mail: tretyak-off@inbox.ru",8, "Verdana", Pink );
ObjectSet("MyCopyright", OBJPROP_XDISTANCE, 8);  
ObjectSet("MyCopyright", OBJPROP_YDISTANCE, 12*8+4*12);

return(0);
}

void CreateValues()
{
   double yesterday_close=iClose(NULL,PERIOD_D1,1);
   double yesterday_high=iHigh(NULL,PERIOD_D1,1);
   double yesterday_low=iLow(NULL,PERIOD_D1,1);
   double PP = NormalizeDouble((yesterday_high + yesterday_low + yesterday_close)/3,Digits);
   double R1 = NormalizeDouble((2*PP)-yesterday_low,Digits);
   double S1 = NormalizeDouble((2*PP)-yesterday_high,Digits);
   double R2 = NormalizeDouble(PP+(yesterday_high-yesterday_low),Digits);
   double S2 = NormalizeDouble(PP-(yesterday_high-yesterday_low),Digits);
   double R3 = NormalizeDouble(2*PP+(yesterday_high-2*yesterday_low),Digits);
   double S3 = NormalizeDouble(2*PP-(2*yesterday_high-yesterday_low),Digits);
   
   ObjectSetText("R3V",DoubleToStr(R3,4),8, "Verdana", SeparatorsTextColor );
   ObjectSetText("R2V",DoubleToStr(R2,4),8, "Verdana", SeparatorsTextColor );
   ObjectSetText("R1V",DoubleToStr(R1,4),8, "Verdana", SeparatorsTextColor );
   ObjectSetText("PPV",DoubleToStr(PP,4),8, "Verdana", SeparatorsTextColor );
   ObjectSetText("S1V",DoubleToStr(S1,4),8, "Verdana", SeparatorsTextColor );
   ObjectSetText("S2V",DoubleToStr(S2,4),8, "Verdana", SeparatorsTextColor );
   ObjectSetText("S3V",DoubleToStr(S3,4),8, "Verdana", SeparatorsTextColor );
   
ObjectCreate("BalanceV", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("BalanceV", OBJPROP_XDISTANCE, 856+8*5);  
ObjectSet("BalanceV", OBJPROP_YDISTANCE, 12*8+4*12);

if (AccountCurrency()=="RUR")
{
ObjectSetText("BalanceV",DoubleToStr(NormalizeDouble(AccountBalance()/iClose("USDRUR",PERIOD_D1,1),2),2)+"$",8, "Verdana", Pink );
}

if (AccountCurrency()=="EUR")
{
ObjectSetText("BalanceV",DoubleToStr(NormalizeDouble(AccountBalance()*iClose("EURUSD",PERIOD_D1,1),2),2)+"$",8, "Verdana", Pink );
}
if (AccountCurrency()=="USD")
{
ObjectSetText("BalanceV",DoubleToStr(AccountBalance(),2)+"$",8, "Verdana", Pink );
}

int Code;
color CodeColor;
string Sym;
if (AccountProfit()/AccountBalance()*100>0)
{ Code=SymbolCodeBuy; CodeColor=SignalUpColor; Sym="+";}
else
{ Code=SymbolCodeSell;CodeColor=SignalDownColor;Sym="";}
ObjectCreate("ProfitTrend", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ProfitTrend",CharToStr(Code),16, "Wingdings", CodeColor );
ObjectSet("ProfitTrend", OBJPROP_XDISTANCE, 856+8*6);  
ObjectSet("ProfitTrend", OBJPROP_YDISTANCE, 6*7+4*6);
ObjectCreate("ProfitVolume", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ProfitVolume",Sym+DoubleToStr(AccountProfit()/AccountBalance()*100,2)+"%",12, "Verdana", Pink );
ObjectSet("ProfitVolume", OBJPROP_XDISTANCE, 856+8*3);  
ObjectSet("ProfitVolume", OBJPROP_YDISTANCE, 6*11+4*6);

int sum=0;

if (iMA(NULL,PERIOD_M1,20,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M1,20,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+0+0,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_M5,20,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M5,20,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+0+1,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_M15,20,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M15,20,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+0+2,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_M30,20,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M30,20,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+0+3,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_H1,20,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_H1,20,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+0+4,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_H4,20,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_H4,20,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+0+5,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_D1,20,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_D1,20,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+0+6,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_W1,20,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_W1,20,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+0+7,CharToStr(Code),8, "Wingdings", CodeColor); 

if (iMA(NULL,PERIOD_M1,50,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M1,50,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+1+0,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_M5,50,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M5,50,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+1+1,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_M15,50,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M15,50,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+1+2,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_M30,50,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M30,50,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+1+3,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_H1,50,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_H1,50,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+1+4,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_H4,50,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_H4,50,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+1+5,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_D1,50,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_D1,50,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+1+6,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_W1,50,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_W1,50,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+1+7,CharToStr(Code),8, "Wingdings", CodeColor);

if (iMA(NULL,PERIOD_M1,100,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M1,100,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+2+0,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_M5,100,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M5,100,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+2+1,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_M15,100,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M15,100,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+2+2,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_M30,100,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M30,100,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+2+3,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_H1,100,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_H1,100,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+2+4,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_H4,100,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_H4,100,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+2+5,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_D1,100,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_D1,100,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+2+6,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_W1,100,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_W1,100,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+2+7,CharToStr(Code),8, "Wingdings", CodeColor);

// CCI
if (iCCI(NULL,PERIOD_M1,14,PRICE_CLOSE,0)>iCCI(NULL,PERIOD_M1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+3+0,CharToStr(Code),8, "Wingdings", CodeColor); 
if (iCCI(NULL,PERIOD_M5,14,PRICE_CLOSE,0)>iCCI(NULL,PERIOD_M5,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+3+1,CharToStr(Code),8, "Wingdings", CodeColor);
if (iCCI(NULL,PERIOD_M15,14,PRICE_CLOSE,0)>iCCI(NULL,PERIOD_M15,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+3+2,CharToStr(Code),8, "Wingdings", CodeColor);
if (iCCI(NULL,PERIOD_M30,14,PRICE_CLOSE,0)>iCCI(NULL,PERIOD_M30,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+3+3,CharToStr(Code),8, "Wingdings", CodeColor);
if (iCCI(NULL,PERIOD_H1,14,PRICE_CLOSE,0)>iCCI(NULL,PERIOD_H1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+3+4,CharToStr(Code),8, "Wingdings", CodeColor);
if (iCCI(NULL,PERIOD_H4,14,PRICE_CLOSE,0)>iCCI(NULL,PERIOD_H4,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+3+5,CharToStr(Code),8, "Wingdings", CodeColor);
if (iCCI(NULL,PERIOD_D1,14,PRICE_CLOSE,0)>iCCI(NULL,PERIOD_D1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+3+6,CharToStr(Code),8, "Wingdings", CodeColor);
if (iCCI(NULL,PERIOD_W1,14,PRICE_CLOSE,0)>iCCI(NULL,PERIOD_W1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+3+7,CharToStr(Code),8, "Wingdings", CodeColor);

if (iMACD(NULL,PERIOD_M1,12,26,9,PRICE_CLOSE,MODE_MAIN,0)>iMACD(NULL,PERIOD_M1,12,26,9,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+4+0,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMACD(NULL,PERIOD_M5,12,26,9,PRICE_CLOSE,MODE_MAIN,0)>iMACD(NULL,PERIOD_M5,12,26,9,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+4+1,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMACD(NULL,PERIOD_M15,12,26,9,PRICE_CLOSE,MODE_MAIN,0)>iMACD(NULL,PERIOD_M15,12,26,9,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+4+2,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMACD(NULL,PERIOD_M30,12,26,9,PRICE_CLOSE,MODE_MAIN,0)>iMACD(NULL,PERIOD_M30,12,26,9,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+4+3,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMACD(NULL,PERIOD_H1,12,26,9,PRICE_CLOSE,MODE_MAIN,0)>iMACD(NULL,PERIOD_H1,12,26,9,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+4+4,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMACD(NULL,PERIOD_H4,12,26,9,PRICE_CLOSE,MODE_MAIN,0)>iMACD(NULL,PERIOD_H4,12,26,9,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+4+5,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMACD(NULL,PERIOD_D1,12,26,9,PRICE_CLOSE,MODE_MAIN,0)>iMACD(NULL,PERIOD_D1,12,26,9,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+4+6,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMACD(NULL,PERIOD_W1,12,26,9,PRICE_CLOSE,MODE_MAIN,0)>iMACD(NULL,PERIOD_W1,12,26,9,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+4+7,CharToStr(Code),8, "Wingdings", CodeColor);
    
if (iADX(NULL,PERIOD_M1,14,PRICE_CLOSE,MODE_MAIN,0)>iADX(NULL,PERIOD_M1,14,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+5+0,CharToStr(Code),8, "Wingdings", CodeColor); 
if (iADX(NULL,PERIOD_M5,14,PRICE_CLOSE,MODE_MAIN,0)>iADX(NULL,PERIOD_M5,14,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+5+1,CharToStr(Code),8, "Wingdings", CodeColor);
if (iADX(NULL,PERIOD_M15,14,PRICE_CLOSE,MODE_MAIN,0)>iADX(NULL,PERIOD_M15,14,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+5+2,CharToStr(Code),8, "Wingdings", CodeColor);
if (iADX(NULL,PERIOD_M30,14,PRICE_CLOSE,MODE_MAIN,0)>iADX(NULL,PERIOD_M30,14,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+5+3,CharToStr(Code),8, "Wingdings", CodeColor);
if (iADX(NULL,PERIOD_H1,14,PRICE_CLOSE,MODE_MAIN,0)>iADX(NULL,PERIOD_H1,14,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+5+4,CharToStr(Code),8, "Wingdings", CodeColor);
if (iADX(NULL,PERIOD_H4,14,PRICE_CLOSE,MODE_MAIN,0)>iADX(NULL,PERIOD_H4,14,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+5+5,CharToStr(Code),8, "Wingdings", CodeColor);
if (iADX(NULL,PERIOD_D1,14,PRICE_CLOSE,MODE_MAIN,0)>iADX(NULL,PERIOD_D1,14,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+5+6,CharToStr(Code),8, "Wingdings", CodeColor);
if (iADX(NULL,PERIOD_W1,14,PRICE_CLOSE,MODE_MAIN,0)>iADX(NULL,PERIOD_W1,14,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+5+7,CharToStr(Code),8, "Wingdings", CodeColor);

if (iBullsPower(NULL,PERIOD_M1, 13,PRICE_CLOSE,0)>iBullsPower(NULL,PERIOD_M1, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+6+0,CharToStr(Code),8, "Wingdings", CodeColor);
if (iBullsPower(NULL,PERIOD_M5, 13,PRICE_CLOSE,0)>iBullsPower(NULL,PERIOD_M5, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+6+1,CharToStr(Code),8, "Wingdings", CodeColor);
if (iBullsPower(NULL,PERIOD_M15, 13,PRICE_CLOSE,0)>iBullsPower(NULL,PERIOD_M15, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+6+2,CharToStr(Code),8, "Wingdings", CodeColor);
if (iBullsPower(NULL,PERIOD_M30, 13,PRICE_CLOSE,0)>iBullsPower(NULL,PERIOD_M30, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+6+3,CharToStr(Code),8, "Wingdings", CodeColor);
if (iBullsPower(NULL,PERIOD_H1, 13,PRICE_CLOSE,0)>iBullsPower(NULL,PERIOD_H1, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+6+4,CharToStr(Code),8, "Wingdings", CodeColor);
if (iBullsPower(NULL,PERIOD_H4, 13,PRICE_CLOSE,0)>iBullsPower(NULL,PERIOD_H4, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+6+5,CharToStr(Code),8, "Wingdings", CodeColor);
if (iBullsPower(NULL,PERIOD_D1, 13,PRICE_CLOSE,0)>iBullsPower(NULL,PERIOD_D1, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+6+6,CharToStr(Code),8, "Wingdings", CodeColor);
if (iBullsPower(NULL,PERIOD_W1, 13,PRICE_CLOSE,0)>iBullsPower(NULL,PERIOD_W1, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+6+7,CharToStr(Code),8, "Wingdings", CodeColor);

if (iBearsPower(NULL,PERIOD_M1, 13,PRICE_CLOSE,0)>iBearsPower(NULL,PERIOD_M1, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+7+0,CharToStr(Code),8, "Wingdings", CodeColor);
if (iBearsPower(NULL,PERIOD_M5, 13,PRICE_CLOSE,0)>iBearsPower(NULL,PERIOD_M5, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+7+1,CharToStr(Code),8, "Wingdings", CodeColor);
if (iBearsPower(NULL,PERIOD_M15, 13,PRICE_CLOSE,0)>iBearsPower(NULL,PERIOD_M15, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+7+2,CharToStr(Code),8, "Wingdings", CodeColor);
if (iBearsPower(NULL,PERIOD_M30, 13,PRICE_CLOSE,0)>iBearsPower(NULL,PERIOD_M30, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+7+3,CharToStr(Code),8, "Wingdings", CodeColor);
if (iBearsPower(NULL,PERIOD_H1, 13,PRICE_CLOSE,0)>iBearsPower(NULL,PERIOD_H1, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+7+4,CharToStr(Code),8, "Wingdings", CodeColor);
if (iBearsPower(NULL,PERIOD_H4, 13,PRICE_CLOSE,0)>iBearsPower(NULL,PERIOD_H4, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+7+5,CharToStr(Code),8, "Wingdings", CodeColor);
if (iBearsPower(NULL,PERIOD_D1, 13,PRICE_CLOSE,0)>iBearsPower(NULL,PERIOD_D1, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+7+6,CharToStr(Code),8, "Wingdings", CodeColor);
if (iBearsPower(NULL,PERIOD_W1, 13,PRICE_CLOSE,0)>iBearsPower(NULL,PERIOD_W1, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+7+7,CharToStr(Code),8, "Wingdings", CodeColor);

if (iStochastic(NULL,PERIOD_M1,5,3,3,MODE_SMA,0,MODE_MAIN,0)>iStochastic(NULL,PERIOD_M1,5,3,3,MODE_SMA,0,MODE_MAIN,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+8+0,CharToStr(Code),8, "Wingdings", CodeColor);
if (iStochastic(NULL,PERIOD_M5,5,3,3,MODE_SMA,0,MODE_MAIN,0)>iStochastic(NULL,PERIOD_M5,5,3,3,MODE_SMA,0,MODE_MAIN,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+8+1,CharToStr(Code),8, "Wingdings", CodeColor);
if (iStochastic(NULL,PERIOD_M15,5,3,3,MODE_SMA,0,MODE_MAIN,0)>iStochastic(NULL,PERIOD_M15,5,3,3,MODE_SMA,0,MODE_MAIN,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+8+2,CharToStr(Code),8, "Wingdings", CodeColor);
if (iStochastic(NULL,PERIOD_M30,5,3,3,MODE_SMA,0,MODE_MAIN,0)>iStochastic(NULL,PERIOD_M30,5,3,3,MODE_SMA,0,MODE_MAIN,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+8+3,CharToStr(Code),8, "Wingdings", CodeColor);
if (iStochastic(NULL,PERIOD_H1,5,3,3,MODE_SMA,0,MODE_MAIN,0)>iStochastic(NULL,PERIOD_H1,5,3,3,MODE_SMA,0,MODE_MAIN,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+8+4,CharToStr(Code),8, "Wingdings", CodeColor);
if (iStochastic(NULL,PERIOD_H4,5,3,3,MODE_SMA,0,MODE_MAIN,0)>iStochastic(NULL,PERIOD_H4,5,3,3,MODE_SMA,0,MODE_MAIN,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+8+5,CharToStr(Code),8, "Wingdings", CodeColor);
if (iStochastic(NULL,PERIOD_D1,5,3,3,MODE_SMA,0,MODE_MAIN,0)>iStochastic(NULL,PERIOD_D1,5,3,3,MODE_SMA,0,MODE_MAIN,1))
{Code=SymbolCodeBuy; sum++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+8+6,CharToStr(Code),8, "Wingdings", CodeColor);
if (iStochastic(NULL,PERIOD_W1,5,3,3,MODE_SMA,0,MODE_MAIN,0)>iStochastic(NULL,PERIOD_W1,5,3,3,MODE_SMA,0,MODE_MAIN,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+8+7,CharToStr(Code),8, "Wingdings", CodeColor);

if (iRSI(NULL,PERIOD_M1,14,PRICE_CLOSE,0)>iRSI(NULL,PERIOD_M1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+9+0,CharToStr(Code),8, "Wingdings", CodeColor);
if (iRSI(NULL,PERIOD_M5,14,PRICE_CLOSE,0)>iRSI(NULL,PERIOD_M5,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+9+1,CharToStr(Code),8, "Wingdings", CodeColor);
if (iRSI(NULL,PERIOD_M15,14,PRICE_CLOSE,0)>iRSI(NULL,PERIOD_M15,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+9+2,CharToStr(Code),8, "Wingdings", CodeColor);
if (iRSI(NULL,PERIOD_M30,14,PRICE_CLOSE,0)>iRSI(NULL,PERIOD_M30,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+9+3,CharToStr(Code),8, "Wingdings", CodeColor);
if (iRSI(NULL,PERIOD_H1,14,PRICE_CLOSE,0)>iRSI(NULL,PERIOD_H1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+9+4,CharToStr(Code),8, "Wingdings", CodeColor);
if (iRSI(NULL,PERIOD_H4,14,PRICE_CLOSE,0)>iRSI(NULL,PERIOD_H4,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+9+5,CharToStr(Code),8, "Wingdings", CodeColor);
if (iRSI(NULL,PERIOD_D1,14,PRICE_CLOSE,0)>iRSI(NULL,PERIOD_D1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+9+6,CharToStr(Code),8, "Wingdings", CodeColor);
if (iRSI(NULL,PERIOD_W1,14,PRICE_CLOSE,0)>iRSI(NULL,PERIOD_W1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+9+7,CharToStr(Code),8, "Wingdings", CodeColor);

if (iForce(NULL,PERIOD_M1,13,MODE_SMA,PRICE_CLOSE,0)>iForce(NULL,PERIOD_M1,13,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+10+0,CharToStr(Code),8, "Wingdings", CodeColor);
if (iForce(NULL,PERIOD_M5,13,MODE_SMA,PRICE_CLOSE,0)>iForce(NULL,PERIOD_M5,13,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+10+1,CharToStr(Code),8, "Wingdings", CodeColor);
if (iForce(NULL,PERIOD_M15,13,MODE_SMA,PRICE_CLOSE,0)>iForce(NULL,PERIOD_M15,13,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+10+2,CharToStr(Code),8, "Wingdings", CodeColor);
if (iForce(NULL,PERIOD_M30,13,MODE_SMA,PRICE_CLOSE,0)>iForce(NULL,PERIOD_M30,13,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+10+3,CharToStr(Code),8, "Wingdings", CodeColor);
if (iForce(NULL,PERIOD_H1,13,MODE_SMA,PRICE_CLOSE,0)>iForce(NULL,PERIOD_H1,13,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+10+4,CharToStr(Code),8, "Wingdings", CodeColor);
if (iForce(NULL,PERIOD_H4,13,MODE_SMA,PRICE_CLOSE,0)>iForce(NULL,PERIOD_H4,13,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+10+5,CharToStr(Code),8, "Wingdings", CodeColor);
if (iForce(NULL,PERIOD_D1,13,MODE_SMA,PRICE_CLOSE,0)>iForce(NULL,PERIOD_D1,13,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+10+6,CharToStr(Code),8, "Wingdings", CodeColor);
if (iForce(NULL,PERIOD_W1,13,MODE_SMA,PRICE_CLOSE,0)>iForce(NULL,PERIOD_W1,13,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+10+7,CharToStr(Code),8, "Wingdings", CodeColor);

if (iMomentum(NULL,PERIOD_M1,14,PRICE_CLOSE,0)>iMomentum(NULL,PERIOD_M1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+11+0,CharToStr(Code),8, "Wingdings", CodeColor); 
if (iMomentum(NULL,PERIOD_M5,14,PRICE_CLOSE,0)>iMomentum(NULL,PERIOD_M5,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+11+1,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMomentum(NULL,PERIOD_M15,14,PRICE_CLOSE,0)>iMomentum(NULL,PERIOD_M15,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+11+2,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMomentum(NULL,PERIOD_M30,14,PRICE_CLOSE,0)>iMomentum(NULL,PERIOD_M30,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+11+3,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMomentum(NULL,PERIOD_H1,14,PRICE_CLOSE,0)>iMomentum(NULL,PERIOD_H1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+11+4,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMomentum(NULL,PERIOD_H4,14,PRICE_CLOSE,0)>iMomentum(NULL,PERIOD_H4,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+11+5,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMomentum(NULL,PERIOD_D1,14,PRICE_CLOSE,0)>iMomentum(NULL,PERIOD_D1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+11+6,CharToStr(Code),8, "Wingdings", CodeColor);
if (iMomentum(NULL,PERIOD_W1,14,PRICE_CLOSE,0)>iMomentum(NULL,PERIOD_W1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+11+7,CharToStr(Code),8, "Wingdings", CodeColor);

if (iDeMarker(NULL,PERIOD_M1, 13, 0)>iDeMarker(NULL,PERIOD_M1, 13, 1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+12+0,CharToStr(Code),8, "Wingdings", CodeColor);
if (iDeMarker(NULL,PERIOD_M5, 13, 0)>iDeMarker(NULL,PERIOD_M5, 13, 1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+12+1,CharToStr(Code),8, "Wingdings", CodeColor);
if (iDeMarker(NULL,PERIOD_M15, 13, 0)>iDeMarker(NULL,PERIOD_M15, 13, 1))
{Code=SymbolCodeBuy; sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+12+2,CharToStr(Code),8, "Wingdings", CodeColor);
if (iDeMarker(NULL,PERIOD_M30, 13, 0)>iDeMarker(NULL,PERIOD_M30, 13, 1))
{Code=SymbolCodeBuy; sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+12+3,CharToStr(Code),8, "Wingdings", CodeColor);
if (iDeMarker(NULL,PERIOD_H1, 13, 0)>iDeMarker(NULL,PERIOD_H1, 13, 1))
{Code=SymbolCodeBuy; sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+12+4,CharToStr(Code),8, "Wingdings", CodeColor);
if (iDeMarker(NULL,PERIOD_H4, 13, 0)>iDeMarker(NULL,PERIOD_H4, 13, 1))
{Code=SymbolCodeBuy; sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+12+5,CharToStr(Code),8, "Wingdings", CodeColor);
if (iDeMarker(NULL,PERIOD_D1, 13, 0)>iDeMarker(NULL,PERIOD_D1, 13, 1))
{Code=SymbolCodeBuy; sum++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+12+6,CharToStr(Code),8, "Wingdings", CodeColor);
if (iDeMarker(NULL,PERIOD_W1, 13, 0)>iDeMarker(NULL,PERIOD_W1, 13, 1))
{Code=SymbolCodeBuy; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+12+7,CharToStr(Code),8, "Wingdings", CodeColor);
   
double UpPer, DownPer;
UpPer=NormalizeDouble(sum*100/65,1);
DownPer=NormalizeDouble(100-UpPer,1);
ObjectSetText("UpPer",DoubleToStr(UpPer,0)+"%",8, "Verdana", SeparatorsTextColor );
ObjectSetText("DownPer",DoubleToStr(DownPer,0)+"%",8, "Verdana", SeparatorsTextColor );

if (UpPer>DownPer)
{
ObjectSetText("Trend",CharToStr(SymbolCodeBuy),16,"Wingdings",SignalUpColor);
}
else
{
ObjectSetText("Trend",CharToStr(SymbolCodeSell),16,"Wingdings",SignalDownColor);
}

return(0);
}


int init()
  {
IndicatorShortName(ShortName);
SetIndexBuffer(0,UPBuffer);
SetIndexBuffer(1,DOWNBuffer);  
   return(0);
  }
int start()
  {
   int    counted_bars=IndicatorCounted();
CreateTable();
CreateCaptions();
CreateValues();
   return(0);
  }
//+------------------------------------------------------------------+